Skip to content

Get Transaction Details

If you filter transactions by order ID and receive empty data, it may be because the order has not been completed. Only orders with status FINISHED or PARTIALLY_FAILED have a transaction hash (tx_id); orders with other statuses do not contain any transaction hash.

GET Order Details API (check order_no)

Check the order details to find the order_no and current order status.

Is status Order Status FINISHED or PARTIALLY_FAILED?

  • Yes β†’ Proceed to the next step to request transaction details.
  • No β†’ Skip transaction details request (no tx_id available).

GET Transaction Details API (b_id, wallet_code, etc.)

Call the Transaction Details endpoint with the relevant path and query parameters.

View transaction data

Inspect the returned transaction records and details.

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/tx-details
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/wallets/{wallet_code}/tx-details

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
LongBusiness line ID
wallet_code
Required
StringWallet ID

Query Parameters

FieldTypeDescription
coin_name
Optional
StringAsset name
Allowed value: Refer to Coin Name (API) column in Supported Token
tx_types
Optional
String[]Transaction types
addresses
Optional
String[]Addresses
id
Optional
StringWallet detail item ID
tx_id
Optional
StringTransaction hash
order_no
Optional
StringOrder ID
offset
Optional
IntegerDefault: 0
limit
Optional
IntegerDefault: 10
create_time_order
Optional
IntegerSort by creation time:
Allowed values :
- 0 = descending (default)
- 1 = ascending
start_time
Optional
LongStart timestamp (default: 0)
end_time
Optional
LongEnd timestamp (default: current time)

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectSee data object details below

data (object)

FieldTypeDescription
offsetIntegerOffset value
limitIntegerLimit value
totalIntegerTotal number of records
listObject[]List of transaction detail records (see list object details below)

list (object)

FieldTypeDescription
idStringRecord ID
domain_idStringEnterprise ID
wallet_codeStringWallet ID
chainStringChain name
wallet_typeStringWallet type
Allowed values: MIXED_ADDRESS, SEGREGATED_ADDRESS
storage_typeStringStorage type
Allowed values: PRIME_HOT, PRIME_COLD, ENTERPRISE_HOT, ENTERPRISE_COLD
wallet_nameStringWallet name
coin_nameStringAsset name
order_noStringOrder ID
order_typeStringSpecifies the order type execution: Deposit or Withdrawal.
block_heightLongBlock height
confirm_ratioStringConfirmation ratio
tx_idStringTransaction hash
tx_sizeLongTransaction size (default: 1)
tx_typeStringTransaction types
Allowed values: See Transaction Types for the full list and descriptions.
withdraw_amountDecimalWithdrawal amount
gas_priceDecimalGas price (ETH series)
gas_limitDecimalGas limit (ETH series)
tx_feeDecimalTransaction fee
tx_fee_rateDecimalTransaction fee rate (withdrawal)
tx_fee_typeStringTransaction fee type (withdrawal)
miner_rewardDecimalBlock reward (deposit)
miner_feeDecimalMiner fee reward (deposit)
deposit_amountDecimalTotal deposit amount
wallet_balanceDecimalWallet balance
tx_statusStringTransaction status
Allowed values: unconfirmed, confirmed, failed, frozen, rollbacked, unconfirmed_alarm
remark_detailStringRemarks
tx_time_stampLongTransaction timestamp
create_time_stampLongCreation timestamp
tr_idStringTravel Rule ID
contract_addressStringThe contract address of the selected token. This value corresponds to the Smart Contract field in the Supported Tokens list.
token_idStringReturn only when the transaction involves an NFT; otherwise null.
bidStringBusiness line ID
vinsObject[]List of input transactions (VINs)
voutsObject[]List of output transactions (VOUTs)

vins (object)

FieldTypeDescription
addressStringVIN address
token_addressStringToken Address for VIN transaction
idxStringVIN ID
tagStringVIN memo
amountDecimalVIN amount
balanceDecimalBalance after transaction
is_changeLongIndicates if VIN is change
descStringVIN description
markStringAn identifier field currently used only for ADA (Cardano) token transactions to indicate whether the address is a reserve (backup) address.
The field returns prefund_address when applicable; otherwise, it returns null.
muxed_idStringThe 64-bit integer ID embedded within a Stellar muxed address. Used to identify a specific sub-user or sub-business under the same Stellar public key. Applicable to Stellar (XLM) transactions only; otherwise null.
muxedStringThe Stellar muxed address (starting with M). This is an encoded combination of a standard Stellar public key (starting with G) and a 64-bit ID, used to distinguish different sub-users or sub-businesses under the same account. Applicable to Stellar (XLM) transactions only; otherwise null.

vouts (object)

FieldTypeDescription
addressStringVOUT address
token_addressStringToken Address for VOUT transaction
idxStringVOUT ID
tagStringVOUT memo
amountDecimalVOUT amount
balanceDecimalBalance after transaction
is_changeIntegerIndicates if VOUT is change
descStringVOUT description
markStringAn identifier field currently used only for ADA (Cardano) token transactions to indicate whether the address is a reserve (backup) address.
The field returns prefund_address when applicable; otherwise, it returns null.
muxed_idStringThe 64-bit integer ID embedded within a Stellar muxed address. Used to identify a specific sub-user or sub-business under the same Stellar public key. Applicable to Stellar (XLM) transactions only; otherwise null.
muxedStringThe Stellar muxed address (starting with M). This is an encoded combination of a standard Stellar public key (starting with G) and a 64-bit ID, used to distinguish different sub-users or sub-businesses under the same account. Applicable to Stellar (XLM) transactions only; otherwise null.

Response Example

{
  "code": 0,
  "message": "",
  "data": {
    "offset": 0,
    "limit": 10,
    "list": [
      {
        "id": 7340805,
        "domain_id": "1e2fa188f5d44faca64c45485062e829",
        "wallet_code": "CHEVMS5368231134",
        "chain": "ETH",
        "wallet_type": "MIXED_ADDRESS",
        "storage_type": "PRIME_HOT",
        "wallet_name": "wew",
        "coin_name": "ETH",
        "full_name": null,
        "order_no": "C6118000085",
        "order_type": "WITHDRAW",
        "block_height": 2014240,
        "confirm_ratio": null,
        "tx_id": "0x531c3825f9628809fb0b115cdfc8169eb79823fd7132939d940e8c713d5e8115",
        "tx_size": 1,
        "tx_type": "FEE_PAYMENT",
        "withdraw_amount": 0,
        "withdraw_amount_str": "0",
        "gas_price": 10018,
        "gas_price_str": "10018",
        "gas_limit": 75847,
        "gas_limit_str": "75847",
        "tx_fee": 461769692,
        "tx_fee_str": "461769692",
        "tx_fee_rate": null,
        "tx_fee_rate_str": null,
        "tx_fee_type": "ETH",
        "miner_reward": null,
        "miner_reward_str": null,
        "miner_fee": null,
        "miner_fee_str": null,
        "deposit_amount": null,
        "deposit_amount_str": null,
        "wallet_balance": 10066611279647616,
        "wallet_balance_str": "10066611279647616",
        "tx_status": "confirmed",
        "remark_detail": null,
        "vins": [
          {
            "address": "0x2BF4714e26895d77f72d732120C45d4125bBbCe8",
            "token_address": null,
            "idx": null,
            "tag": null,
            "amount": 461769692,
            "amount_str": "461769692",
            "balance": 10811396063308,
            "balance_str": "10811396063308",
            "is_change": 0,
            "desc": null,
            "mark": null,
            "muxed_id": null,
            "muxed": null
          }
        ],
        "vouts": [],
        "tx_time_stamp": 1768189044000,
        "create_time_stamp": 1768189203000,
        "tr_id": null,
        "contract_address": null,
        "token_id": null,
        "bid": "b4a25892d06542ba8fedb40e99d0c659"
      }
    ],
    "total": 1
  },
  "successful": true
}